import 'package:fis_i18n/i18n.dart';
import 'package:fis_measure/utils/prompt_box.dart';
import 'package:flyinsono/architecture/define.dart';
import 'package:flyinsono/js_platform/methods.dart';

import 'base.dart';

class SaveRecordingNotificationHandler extends MethodHandlerBase {
  SaveRecordingNotificationHandler()
      : super(TargetMethodName.SaveRecordingNotification);

  @override
  void execute(List<String> args) {
    if (CartSystemPlatform.isCartSystemVersion) {
      PromptBox.toast(i18nBook.common.savedeskTokSuccess2.t);
    } else {
      PromptBox.toast(i18nBook.common.savedeskTokSuccess.t);
    }
  }
}
